Commit 900f86c5 authored by Virgile Prevosto's avatar Virgile Prevosto
Browse files

frama-clang 0.0.10

parent 0f2694ca
---
layout: default
date: 08-03-2021
event: Frama-Clang 0.0.10
title: Release of Frama-Clang 0.0.10
link: /fc-plugins/frama-clang.html
---
Frama-Clang 0.0.10 is out. Download it [here](/fc-plugins/frama-clang.html).
......@@ -43,16 +43,16 @@ please consult the [Frama-Clang manual]({{page.manual_pdf}}).
### Download
The current version is 0.0.9. The frama-clang plugin can be downloaded
[here](/download/frama-clang-0.0.9.tar.gz).
The current version is 0.0.10. The frama-clang plugin can be downloaded
[here](/download/frama-clang-0.0.10.tar.gz).
### Requirements
- Frama-C 21.x Scandium
- OCaml 4.05.0 or higher, the same version as the one used to
- Frama-C 22.x Titanium
- OCaml 4.08.0 or higher, the same version as the one used to
compile Frama-C itself
- camlp5 (a version compatible with the OCaml version you're using)
- clang and libclang >= 6 (preferably 9 or 10)
- clang and libclang >= 6 (preferably >=9)
You also need llvm-config (llvm-config-x.y for Debian and Ubuntu users,
as explained in
......@@ -61,8 +61,8 @@ as explained in
### Installation steps
```
tar xzvf frama-clang-0.0.9.tar.gz
cd frama-clang-0.0.9
tar xzvf frama-clang-0.0.10.tar.gz
cd frama-clang-0.0.10
./configure
make
make install
......@@ -73,6 +73,16 @@ require root permissions.
### Changes
#### v0.0.10
- Compatibility with Frama-C 22.x Titanium
- Compatibility with Clang 11.0
- Don't generate code for implicit member functions and operators when they're
not used.
- Don't generate code for templated member functions that are in fact never
instantiated.
- header `<cstdbool>` undefines `bool`, `true` and `false` if they are macros
(partial fix for https://git.frama-c.com/pub/frama-c/#2546)
#### v0.0.9
- Compatibility with Frama-C 21.x Scandium
......@@ -136,7 +146,9 @@ templates
### Previous versions
- [0.0.8](/download/frama-clang-0.0.7.tar.gz)
- [0.0.9](/download/frama-clang-0.0.9.tar.gz)
compatible with Frama-C 21.0
- [0.0.8](/download/frama-clang-0.0.8.tar.gz)
compatible with Frama-C 20.0
- [0.0.7](/download/frama-clang-0.0.7.tar.gz)
compatible with Frama-C 19.x
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment